package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;


/**
 * @ClassName : BEH0474
 * @Description :  体格检查一般情况未填写
 * @Author : 胡敬
 * @Date: 2020-03-26 19:39
 */
@Component
public class BEH0474 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getBeHospitalizedDoc() == null) {
            return;
        }
        Map<String, String> structureMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        String mind = structureMap.get("神志水平");
        String cooperation = structureMap.get("查体合作性");
        String position = structureMap.get("体位");
        String face = structureMap.get("面容");
        String height = structureMap.get("身高");
        String weight = structureMap.get("体重");
        if (StringUtil.isBlank(mind) && StringUtil.isBlank(cooperation) && StringUtil.isBlank(position)
                && StringUtil.isBlank(face) && StringUtil.isBlank(height) && StringUtil.isBlank(weight)) {
            status.set("-1");
        }

    }
}